Our website is set to allow the use of cookies. For more information please visit our Privacy and Cookies Policy. By continuing to use this website or clicking “CLOSE” you are indicating you are happy with the use of cookies as set out in our Privacy and Cookie Policy.

Apr 10

Important Security Update

Posted on Thursday 10th April 2014

We take security very seriously at Peopletracer and as you may have heard, a widespread Internet security vulnerability nicknamed ‘Heartbleed’ was announced in the news this week. Following the disclosure, we immediately took steps to ensure the security of our customers' accounts.

Heartbleed is related to OpenSSL, the most popular cryptography library used to encrypt traffic on the Internet. The technical team at Peopletracer has been assessing its impact.

All our systems have been patched as of 17:30 on 9th April. As a precautionary measure, we have also re-issued the SSL certificates used to encrypt the data coming into our data centres.

To reassure you, we have not seen any evidence of our systems being compromised, however, we advise that customers update their passwords without delay.

I hope this message allays any concerns you may have had.

Peopletracer’s Information Security Manager